Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
can't seem to install gmp 6.1.2?
#11
RE: can't seem to install gmp 6.1.2?
They are hints to the (autoconf) configure that it should ignore the results of some of the tests that it does, and use the values mentioned.

Coreutils has an slimmed down copy of gnulib as a utility library - the ones named "gl_cv_func_select*" are there to tailor what "select" behaviour that code in gnulib expects - the Irix select doesn't handle zero file descriptors or return an error on a bad one - which is what gnulib expects unless you tell it. There's a couple that stop use of the Irix "strto*" functions, which are broken for hex values.

The way I find these tweaks - is by running the tests, working out where the failure is, working out what behaviour is expected and then seeing if there is a way to "fix" it with the existing code base. A little bit trial and error, a little bit looking at what can be overridden (usually mentioned in the config.log).

Hehe for curses and Python. I've got Python built, but there be dragons for the moment (core dumps ahoy!)

Cheers + keep at it!
(This post was last modified: 09-23-2018, 08:48 AM by mrthinlysliced.)
mrthinlysliced Offline
Octane

Posts: 71
Threads: 5
Joined: May 2018
Find Reply
09-23-2018, 08:45 AM


Forum Jump:


Users browsing this thread: 1 Guest(s)